aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-28 23:53:23 +0000
committerAvatar Ciaran McCreesh <ciaran.mccreesh@googlemail.com> 2006-03-28 23:53:23 +0000
commit795cf3833eed7695958a4802bf9660d0eef5614b (patch)
treec66b41d13de8c13413e1090af4e480fde13028bb
parentcffd32540d159b842d414cab3f599b5e086254de (diff)
downloadpaludis-795cf3833eed7695958a4802bf9660d0eef5614b.tar.gz
paludis-795cf3833eed7695958a4802bf9660d0eef5614b.tar.xz
Avoid bogus warnings for CONFIG_PROTECT when directories don't exist
-rw-r--r--ebuild/builtin_merge.bash2
1 files changed, 1 insertions, 1 deletions
diff --git a/ebuild/builtin_merge.bash b/ebuild/builtin_merge.bash
index 9f11235..a0eb7b8 100644
--- a/ebuild/builtin_merge.bash
+++ b/ebuild/builtin_merge.bash
@@ -22,7 +22,7 @@ builtin_merge()
if [[ -n "${CONFIG_PROTECT}" ]] ; then
local d f
for d in ${CONFIG_PROTECT} ; do
-
+ [[ -d "${D}${d}" ]] || continue
find "${D}${d}" -type f | \
while read f ; do
if [[ -e "${ROOT}${f#${D}}" ]] ; then